Bug 768122 - [abrt] texmaker-3.1-2.fc16: getRotate: Process /usr/bin/texmaker was killed by signal 11 (SIGSEGV)
Summary: [abrt] texmaker-3.1-2.fc16: getRotate: Process /usr/bin/texmaker was killed b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texmaker
Version: 16
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8757d0ceb3ebd9b3506a6ba990d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-15 20:03 UTC by Kerry
Modified: 2012-02-25 08:35 UTC (History)
1 user (show)

Fixed In Version: texmaker-3.2.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-25 08:26:26 UTC


Attachments (Terms of Use)
File: build_ids (6.89 KB, text/plain)
2011-12-15 20:03 UTC, Kerry
no flags Details
File: smolt_data (2.40 KB, text/plain)
2011-12-15 20:03 UTC, Kerry
no flags Details
File: backtrace (45.03 KB, text/plain)
2011-12-15 20:03 UTC, Kerry
no flags Details

Description Kerry 2011-12-15 20:03:31 UTC
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        texmaker
comment:        Open texmaker, load .tex file. Press F1. Crash
crash_function: getRotate
environ:        
executable:     /usr/bin/texmaker
kernel:         3.1.1-2.fc16.i686.PAE
maps:           
pid:            12460
pwd:            /home/nice
reason:         Process /usr/bin/texmaker was killed by signal 11 (SIGSEGV)
time:           Fri 16 Dec 2011 06:33:29 EST
uid:            500
username:       nice

backtrace:      Text file, 46106 bytes
build_ids:      Text file, 7052 bytes
smolt_data:     Text file, 2459 bytes

var_log_messages:
:Dec 16 06:33:29 politemadness kernel: [829033.216322] texmaker[12460]: segfault at 1ab52e4 ip 4edd1728 sp bfdecfe0 error 4 in libpoppler-qt4.so.3.7.0[4ed8c000+62000]
:Dec 16 06:33:32 politemadness abrt[12539]: Saved core dump of pid 12460 (/usr/bin/texmaker) to /var/spool/abrt/ccpp-2011-12-16-06:33:29-12460 (48275456 bytes)

Comment 1 Kerry 2011-12-15 20:03:34 UTC
Created attachment 547468 [details]
File: build_ids

Comment 2 Kerry 2011-12-15 20:03:35 UTC
Created attachment 547469 [details]
File: smolt_data

Comment 3 Kerry 2011-12-15 20:03:38 UTC
Created attachment 547470 [details]
File: backtrace

Comment 4 Fedora Update System 2012-02-02 20:33:29 UTC
texmaker-3.2.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/texmaker-3.2.2-1.fc15

Comment 5 Fedora Update System 2012-02-02 20:33:49 UTC
texmaker-3.2.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/texmaker-3.2.2-1.fc16

Comment 6 Fedora Update System 2012-02-04 05:29:16 UTC
Package texmaker-3.2.2-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texmaker-3.2.2-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1270/texmaker-3.2.2-1.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-02-25 08:26:26 UTC
texmaker-3.2.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-02-25 08:35:26 UTC
texmaker-3.2.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.